# get bank list

{% hint style="warning" %}
NOTE: This is a static list of supported bank codes. Updates to this list are infrequent. It is expected to be called ONCE by your application.
{% endhint %}

{% hint style="danger" %}
This endpoint is throttled to 1 request every 60,000 milliseconds.
{% endhint %}

Request

<table><thead><tr><th width="196.5">Method</th><th>URL</th></tr></thead><tbody><tr><td><mark style="color:green;"><strong>GET</strong></mark></td><td><mark style="color:blue;"><strong>{{baseUrl}}</strong>/api/service/v1/query/bank/list/show</mark></td></tr></tbody></table>

<table><thead><tr><th width="197.5">Header</th><th width="324">Value</th><th></th></tr></thead><tbody><tr><td>Content-Type</td><td>application/json</td><td></td></tr><tr><td>publicKey</td><td>{{publicKey}}</td><td></td></tr><tr><td>b-access-token</td><td>{{accessToken}}</td><td>Use the <strong><code>accessToken</code></strong> that was given in response to /api/service/v1/query/merchant/login</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vpay.africa/vpay-api-specification-basic-gude/methods/get-bank-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
